from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XIndexAccess

@runtime_checkable
class XAreaLinks(XIndexAccess, Protocol):
    def insertAtPosition(self, aDestPos: CellAddress, aFileName: str, aSourceArea: str, aFilter: str, aFilterOptions: str) -> None: ...
    def removeByIndex(self, nIndex: int) -> None: ...
